import { NodePath } from '@babel/traverse';
import { CallExpression, ExportAllDeclaration, ExportNamedDeclaration, ImportDeclaration } from 'babel-types';
/**
 * Rewrites so-called "bare module specifiers" to be web-compatible paths.
 */
export declare const resolveBareSpecifiers: (filePath: string, isComponentRequest: boolean, packageName?: string | undefined, componentDir?: string | undefined, rootDir?: string | undefined) => {
    inherits: any;
    visitor: {
        CallExpression(path: NodePath<CallExpression>): void;
        'ImportDeclaration|ExportNamedDeclaration|ExportAllDeclaration'(path: NodePath<ExportAllDeclaration | ExportNamedDeclaration | ImportDeclaration>): void;
    };
};
