import { NodePath } from '@babel/traverse';
import { Program } from '@babel/types';
/**
 * Rewrites `import.meta`[1] into an import for a module named "meta". It is
 * expected this plugin runs alongside @babel/plugin-transform-modules-amd which
 * will transform this import into an AMD dependency, and is loaded using
 * @polymer/esm-amd-loader which will provide an object with a `url`[2] property
 * for the "meta" dependency.
 *
 * [1]: https://github.com/tc39/proposal-import-meta
 * [2]: https://html.spec.whatwg.org/#hostgetimportmetaproperties
 */
export declare const rewriteImportMeta: {
    inherits: any;
    visitor: {
        Program(path: NodePath<Program>): void;
    };
};
