import { JsCompileTarget, ModuleResolutionStrategy } from 'polymer-project-config';
/**
 * Options for jsTransform.
 */
export interface JsTransformOptions {
    compile?: boolean | JsCompileTarget;
    externalHelpers?: boolean;
    minify?: boolean;
    moduleResolution?: ModuleResolutionStrategy;
    filePath?: string;
    packageName?: string;
    isComponentRequest?: boolean;
    componentDir?: string;
    rootDir?: string;
    transformModulesToAmd?: boolean | 'auto';
    moduleScriptIdx?: number;
    softSyntaxError?: boolean;
}
/**
 * Transform some JavaScript according to the given options.
 */
export declare function jsTransform(js: string, options: JsTransformOptions): string;
